Bug 1286434 - (xdffileio) Review Request: xdffileio - Unified interface to read/write EEG file format in realtime
Review Request: xdffileio - Unified interface to read/write EEG file format i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro eegdev eegview
  Show dependency treegraph
 
Reported: 2015-11-29 08:39 EST by Igor Gnatenko
Modified: 2015-12-09 15:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:50:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)
quick build fix (577 bytes, patch)
2015-11-30 11:16 EST, Zbigniew Jędrzejewski-Szmek
no flags Details | Diff

  None (edit)
Description Igor Gnatenko 2015-11-29 08:39:53 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/xdffileio.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/xdffileio-0.3-1.fc24.src.rpm
Description:
xdffileio provides a unified interface to read/write EEG file format in
realtime. It has been designed to provide a consistent and common interface
to all supported file formats while minimizing the CPU cost on the main loop.
It thus performs all the expensive operation (scaling, data convertion and
file operation) in a separated thread.
Fedora Account System Username: ignatenkobrain
Comment 1 Upstream Release Monitoring 2015-11-29 10:35:48 EST
zbyszek's scratch build of xdffileio-0.3-1.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12011858
Comment 2 Zbigniew Jędrzejewski-Szmek 2015-11-29 10:43:24 EST
Fails to build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=12011858
Comment 3 Igor Gnatenko 2015-11-29 10:45:33 EST
Do you have ideas how to fix it? It builds fine on my laptop.
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-11-30 11:16 EST
Created attachment 1100541 [details]
quick build fix
Comment 5 Upstream Release Monitoring 2015-11-30 11:23:00 EST
zbyszek's scratch build of xdffileio-0.3-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12016379
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-11-30 11:40:23 EST
V=1 should be added to all make invocations, so the flags used are shown.

I appears that the minimum flags are lower than that:

pjones> zbyszek: you probably want to get -march= and -mcpu= from %optflags and sed in -mtune=SOMETHING instead?
ajax> zbyszek: historically the answer is "amd geode lx", which is a ppro minus cmov and nopl
kalev> I would argue that it's not worth spending time on working around missing sse2 support

Looking in %optflags yields "-march=i686 -mtune=atom".

I'd just let it use -march=pentium4 as in the attached patch. I will simply crash on old i686 machines. This seems to be a better option than excluding i686 completely. Also, it seems a better option than removing the check, because if upstream bothered to add a configure check, they probably had a reason.

- license is OK
- license file is present, %license is used
- ldconfig %post is present
- builds fine (with the caveat above)
- rpmlint:
xdffileio.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
xdffileio.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
xdffileio.src: W: spelling-error %description -l en_US convertion -> conversion, convention, convection
xdffileio.x86_64: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
xdffileio.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
xdffileio.x86_64: W: spelling-error %description -l en_US convertion -> conversion, convention, convection
xdffileio-devel.x86_64: W: only-non-binary-in-usr-lib
4 packages and 0 specfiles checked; 0 errors, 7 warnings.

- provides/requires are sane
- -devel has a versioned and arched requirement on the main package
- fedora-review has nothing bad to say
- please add V=1 to make invocation.

Package is APPROVED.
Comment 7 Gwyn Ciesla 2015-11-30 15:41:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/xdffileio
Comment 8 Fedora Update System 2015-11-30 17:11:55 EST
xdffileio-0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-32a25a910e
Comment 9 Fedora Update System 2015-12-01 17:30:47 EST
xdffileio-0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update xdffileio'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-32a25a910e
Comment 10 Fedora Update System 2015-12-09 15:50:14 EST
xdffileio-0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.